package ru.indvdum.mywork.openjpa.model;

import java.sql.Time;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author indvdum
 * 12.08.2011 17:31:00
 *
 */
@Entity
@Table(name = "DAYS")
public class Day implements IDatabaseObject {

	private static final long serialVersionUID = 1471705339524132968L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID", nullable = false)
	private Integer id = null;
	
	@Column(name = "DAY")
	private Date day = null;
	
	@Column(name = "STARTWORK")
	private Time startWork = null;
	
	@Column(name = "ENDWORK")
	private Time endWork = null;
	
	@Column(name = "HOURS")
	private Float hours = null;
	
	public Day(){
		
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Day))
			return false;
		final Day other = (Day) obj;
		return (this.id == other.id || (this.id != null && this.id.equals(other.id)));
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getDay() {
		return day;
	}

	public void setDay(Date day) {
		this.day = day;
	}

	public Time getStartWork() {
		return startWork;
	}

	public void setStartWork(Time startWork) {
		this.startWork = startWork;
	}

	public Time getEndWork() {
		return endWork;
	}

	public void setEndWork(Time endWork) {
		this.endWork = endWork;
	}

	public Float getHours() {
		return hours;
	}

	public void setHours(Float hours) {
		this.hours = hours;
	}
}
